%define		php_name	php%{?php_suffix}
%define		modname	ares
%define		status		beta
Summary:	%{modname} - asynchronous resolver
Summary(pl.UTF-8):	%{modname} - asynchroniczny resolver
Name:		%{php_name}-pecl-%{modname}
Version:	0.7.0
Release:	8
License:	BSD, revised
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	24ec2e3089246bab68d01af9c93a1dc7
Patch0:		php-pecl-%{modname}-tsrm.patch
URL:		http://pecl.php.net/package/ares/
BuildRequires:	%{php_name}-devel >= 3:5.0.4
BuildRequires:	c-ares-devel
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Provides:	php(%{modname}) = %{version}
Obsoletes:	php-pecl-ares < 0.7.0-7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Binding for the ares (MIT) or c-ares (CURL) library.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
Dowiązania do biblioteki ares (MIT) lub c-ares (CURL).

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}/* .
%patch0 -p2

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d
%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT \
	EXTENSION_DIR=%{php_extensiondir}

cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS EXPERIMENTAL
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Mon May 26 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-ares.git;a=log;h=auto/th/php-pecl-ares-0.7.0-8

* Fri May 16 2014 Elan Ruusamäe <glen@delfi.ee> b1c048b
- obsolete old php name
- release 8 (by relup.sh)

* Sun Apr 27 2014 Elan Ruusamäe <glen@delfi.ee> 456f75d
- php 5.5 rebuild
- release 7 (by relup.sh)

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> 3a611a8
- provide php(extname) to really be supporting multiple php versions

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> af867f4
- support building for multiple php versions

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 18ba4f2
- use php(core) as dependency to require php version
- release 4 (by relup.sh)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> 54d529a
- release 4 (by relup.sh)

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> b26b228
- release 3

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> 813cee8
- release 2

* Sun Jan 03 2010 Adam Gołębiowski <adamg@pld-linux.org> f80f50a
- new

* Sun Jan 03 2010 Adam Gołębiowski <adamg@pld-linux.org> a0690a4
- updated to 0.7.0

* Sun Apr 26 2009 Adam Gołębiowski <adamg@pld-linux.org> 904205e
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 79320bf
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 17b689f
- converted to UTF-8

* Thu Dec 14 2006 Elan Ruusamäe <glen@pld-linux.org> f2e6ab0
- use new php extension related macros

* Wed Dec 13 2006 Elan Ruusamäe <glen@pld-linux.org> 6489bf7
- rel 2 (php 5.2.0)

* Mon Nov 27 2006 Adam Gołębiowski <adamg@pld-linux.org> bf69c3d
- updated to 0.6.0

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> 9b2e4f6
- BR rpmmacros for fixed %requires_php_extension

* Sun Apr 23 2006 Adam Gołębiowski <adamg@pld-linux.org> 2890831
- new

